BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0

%define bootstrap %{?_with_bootstrap:1}%{!?_with_bootstrap:%{?_without_bootstrap:0}%{!?_without_bootstrap:%{?_bootstrap:%{_bootstrap}}%{!?_bootstrap:0}}}

%define cvsdate 20050722 

Summary:        Multischema Validator
Name:           msv
Version:        1.2
Release:        alt1_0.20050722.3jpp1.7
Epoch:          0
License:        BSD-style
URL:            http://msv.dev.java.net
Group:          Development/Java
Source0:        msv-20050722.tar.gz
Patch0:         msv-msv-build_xml.patch
Patch1:         msv-relames-build_xml.patch
Patch2:         msv-xsdlib-build_xml.patch
Patch3:         msv-xmlgen-build_xml.patch
BuildRequires: ant >= 0:1.6 jpackage-utils >= 0:1.6
BuildRequires: javacc
BuildRequires: junit
%if ! %{bootstrap}
BuildRequires: jdom
BuildRequires: saxon
%endif

BuildRequires: isorelax
BuildRequires: relaxngDatatype
BuildRequires: servlet
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: xml-commons-resolver

%if ! %{gcj_support}
BuildArch:      noarch
%endif

%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description
The Sun Multi-Schema XML Validator (MSV) is a Java 
technology tool to validate XML documents against 
several kinds of XML schemata. It supports RELAX NG, 
RELAX Namespace, RELAX Core, TREX, XML DTDs, and a 
subset of XML Schema Part 1. This latest (version 1.2) 
release includes several bug fixes and adds better 
conformance to RELAX NG/W3C XML standards and JAXP 
masquerading. 

%package        msv
Summary:        MSV proper
Group:          Development/Java
Requires: isorelax
Requires: relaxngDatatype
Requires: servlet
Requires: xerces-j2
Requires: xml-commons-apis
Requires: xml-commons-resolver
Requires: msv-xsdlib
Provides:       msv-strict
Obsoletes:      msv-strict

%description    msv
%{summary}.

%package        msv-javadoc
Summary:        Javadoc for MSV proper
Group:          Development/Documentation
Provides:       msv-strict-javadoc
Obsoletes:      msv-strict-javadoc

%description    msv-javadoc
%{summary}.

%package        demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires: msv-msv
Requires: msv-xsdlib

%description    demo
%{summary}.

%package        relames
Summary:        Relames 
Group:          Development/Java
Requires: isorelax
Requires: relaxngDatatype
Requires: xalan-j2
Requires: xerces-j2
Requires: xml-commons-apis
Requires: xml-commons-resolver
Requires: msv-msv
Requires: msv-xsdlib

%description    relames
%{summary}.

%package        relames-javadoc
Summary:        Javadoc for relames
Group:          Development/Documentation

%description    relames-javadoc
%{summary}.

%package        rngconv
Summary:        rngconv
Group:          Development/Java
Requires: isorelax
Requires: relaxngDatatype
Requires: xerces-j2
Requires: xml-commons-apis
Requires: msv-msv
Requires: msv-xsdlib

%description    rngconv
%{summary}.

%package        xmlgen
Summary:        xmlgen
Group:          Development/Java
Requires: isorelax
Requires: relaxngDatatype
Requires: xml-commons-apis
Requires: xerces-j2
Requires: msv-msv
Requires: msv-xsdlib

%description    xmlgen
%{summary}.

%package        xmlgen-javadoc
Summary:        Javadoc for xmlgen
Group:          Development/Documentation

%description    xmlgen-javadoc
%{summary}.

%package        xsdlib
Summary:        xsdlib
Group:          Development/Java
Requires: relaxngDatatype
Provides:       xsdlib
Obsoletes:      xsdlib

%description    xsdlib
%{summary}.

%package        xsdlib-javadoc
Summary:        Javadoc for xsdlib
Group:          Development/Documentation
Provides:       xsdlib-javadoc
Obsoletes:      xsdlib-javadoc

%description    xsdlib-javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -n %{name}-%{cvsdate}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
#for j in $(find . -name "*.jar"); do
#    mv $j $j.no
#done
# delete Class-Path: from manifests
for m in $(find . -name MANIFEST.MF); do
sed -e '/^Class-Path:/d' $m > tempf
cp tempf $m
done
rm tempf

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav

%build
pushd shared/lib
ln -sf $(build-classpath ant) ant.jar
#ln -sf $(build-classpath crimson) crimson.jar
#ln -sf $(build-classpath dom4j) dom4j.jar
ln -sf $(build-classpath isorelax) isorelax.jar
ln -sf $(build-classpath junit) junit.jar
ln -sf $(build-classpath relaxngDatatype) relaxngDatatype.jar
ln -sf $(build-classpath xml-commons-resolver) resolver.jar
%if ! %{bootstrap}
ln -sf $(build-classpath jdom) jdom.jar
ln -sf $(build-classpath saxon) saxon.jar
%endif
ln -sf $(build-classpath servlet) servlet.jar
ln -sf $(build-classpath xalan-j2) xalan.jar
ln -sf $(build-classpath xerces-j2) xercesImpl.jar
ln -sf $(build-classpath xml-commons-apis) xmlParserAPIs.jar
popd

ant release

%install

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 package/msv.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-msv-%{version}.jar
install -m 644 package/relames.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-relames-%{version}.jar
install -m 644 package/rngconv.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-rngconv-%{version}.jar
install -m 644 package/xmlgen.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-xmlgen-%{version}.jar
install -m 644 package/xsdlib.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-xsdlib-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} 
ln -sf msv-msv.jar msv-strict.jar
ln -sf msv-xsdlib.jar xsdlib.jar
)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/msv
cp -pr msv/dist/javadoc/* \
                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/msv
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/relames
cp -pr relames/dist/javadoc/* \
                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/relames
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xmlgen
cp -pr generator/dist/javadoc/* \
                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xmlgen
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xsdlib
cp -pr xsdlib/dist/javadoc/* \
                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xsdlib
(cd $RPM_BUILD_ROOT%{_javadocdir}
ln -s %{name}-%{version}/msv %{name}-msv
ln -s %{name}-%{version}/relames %{name}-relames
ln -s %{name}-%{version}/xsdlib %{name}-xsdlib
)

# docs
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/msv
install -m 644 msv/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/msv
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/msv/Apache-LICENSE-1.1.txt
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/relames
install -m 644 relames/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/relames
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/relames/Apache-LICENSE-1.1.txt
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/rngconv
install -m 644 rngconverter/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/rngconv
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/rngconv/Apache-LICENSE-1.1.txt
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xmlgen
install -m 644 generator/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xmlgen
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xmlgen/Apache-LICENSE-1.1.txt
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xsdlib
install -m 644 xsdlib/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xsdlib
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xsdlib/Apache-LICENSE-1.1.txt

#examples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/msv
cp -pr msv/dist/examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/msv
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/xsdlib
cp -pr xsdlib/dist/examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/xsdlib

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post msv-javadoc
rm -f %{_javadocdir}/%{name}-msv
ln -s %{name}-%{version}/msv %{_javadocdir}/%{name}-msv

%postun msv-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-msv
fi

%post relames-javadoc
rm -f %{_javadocdir}/%{name}-relames
ln -s %{name}-%{version}/relames %{_javadocdir}/%{name}-relames

%postun relames-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-relames
fi

%post xsdlib-javadoc
rm -f %{_javadocdir}/%{name}-xsdlib
ln -s %{name}-%{version}/xsdlib %{_javadocdir}/%{name}-xsdlib

%postun xsdlib-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-xsdlib
fi

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files msv
%{_javadir}/%{name}-msv-%{version}.jar
%{_javadir}/%{name}-msv.jar
%{_javadir}/msv-strict.jar
%{_docdir}/%{name}-%{version}/msv/license.txt
%{_docdir}/%{name}-%{version}/msv/copyright.txt
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-msv*
%endif

%files msv-javadoc
%{_javadocdir}/%{name}-%{version}/msv
%ghost %{_javadocdir}/%{name}-msv

%files demo
%{_datadir}/%{name}-%{version}/msv
%{_datadir}/%{name}-%{version}/xsdlib

%files relames
%{_javadir}/%{name}-relames-%{version}.jar
%{_javadir}/%{name}-relames.jar
#%{_docdir}/%{name}-%{version}/relames/license.txt
%{_docdir}/%{name}-%{version}/relames/copyright.txt
%if %{gcj_support}
%{_libdir}/gcj/%{name}/%{name}-relames*
%endif

%files relames-javadoc
%{_javadocdir}/%{name}-%{version}/relames
%ghost %{_javadocdir}/%{name}-relames

%files rngconv
%{_javadir}/%{name}-rngconv-%{version}.jar
%{_javadir}/%{name}-rngconv.jar
%{_docdir}/%{name}-%{version}/rngconv/license.txt
%{_docdir}/%{name}-%{version}/rngconv/copyright.txt
%if %{gcj_support}
%{_libdir}/gcj/%{name}/%{name}-rngconv*
%endif

%files xmlgen
%{_javadir}/%{name}-xmlgen-%{version}.jar
%{_javadir}/%{name}-xmlgen.jar
%{_docdir}/%{name}-%{version}/xmlgen/license.txt
%{_docdir}/%{name}-%{version}/xmlgen/copyright.txt
%if %{gcj_support}
%{_libdir}/gcj/%{name}/%{name}-xmlgen*
%endif

%files xmlgen-javadoc
%{_javadocdir}/%{name}-%{version}/xmlgen

%files xsdlib
%{_javadir}/%{name}-xsdlib-%{version}.jar
%{_javadir}/%{name}-xsdlib.jar
%{_javadir}/xsdlib.jar
%{_docdir}/%{name}-%{version}/xsdlib/license.txt
%{_docdir}/%{name}-%{version}/xsdlib/copyright.txt
%if %{gcj_support}
%{_libdir}/gcj/%{name}/%{name}-xsdlib*
%endif

%files xsdlib-javadoc
%{_javadocdir}/%{name}-%{version}/xsdlib
%ghost %{_javadocdir}/%{name}-xsdlib

%files manual
%{_docdir}/%{name}-%{version}/msv/ChangeLog.txt
%{_docdir}/%{name}-%{version}/msv/*.html
%{_docdir}/%{name}-%{version}/msv/*.gif
%{_docdir}/%{name}-%{version}/msv/README.txt
%{_docdir}/%{name}-%{version}/relames/README.txt
%{_docdir}/%{name}-%{version}/rngconv/README.txt
%{_docdir}/%{name}-%{version}/xmlgen/*.html
%{_docdir}/%{name}-%{version}/xmlgen/README.txt
%{_docdir}/%{name}-%{version}/xsdlib/*.html
%{_docdir}/%{name}-%{version}/xsdlib/README.txt


%changelog
* Sun Jul 29 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.2-alt1_0.20050722.3jpp1.7
- build without bootstrap

* Sat Apr 21 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.2-alt0.1_0.20050722.3jpp1.7
- converted from JPackage by jppimport script

* Mon Apr 25 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2-alt0.1
- Initial build for ALT Linux Sisyphus
- cvs version 20050424
